Debian Bug report logs - #658252
libcairo2: Text quickly becomes rectangles

version graph

Package: libcairo2; Maintainer for libcairo2 is Dave Beckett <dajobe@debian.org>; Source for libcairo2 is src:cairo.

Reported by: a.rule@freeuk.com

Date: Wed, 1 Feb 2012 13:27:02 UTC

Severity: grave

Found in version cairo/1.10.2-6.2

Fixed in version 1.12.2-1

Done: Michael Gilbert <mgilbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, a.rule@freeuk.com, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Wed, 01 Feb 2012 13:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to a.rule@freeuk.com:
New Bug report received and forwarded. Copy sent to a.rule@freeuk.com, Dave Beckett <dajobe@debian.org>. (Wed, 01 Feb 2012 13:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: a.rule@freeuk.com
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcairo2: Text quickly becomes rectangles
Date: Wed, 01 Feb 2012 13:26:02 +0000
Package: libcairo2
Version: 1.10.2-6.2
Severity: grave
Justification: renders package unusable

Dear Maintainer,

Recently I upgraded libcairo2 on my system, and found that pidgin (the program
I use most that uses libcairo2) was misbehaving.  It rendered text incorrectly
and crashed often.  I did search for information about what might be the
problem, and now most of the time it does not crash - since having removed
duplicate fonts from my system - but it still behaves as described - initial
text is rendered correctly, but before it has finished loading, the text is
progressively replaced with rectangles of appropriate size, unless I run it as
root, in which case it runs correctly.  It appears to replace the text when it
is redrawn for whatever reason - so running through the menus causes the text
to be replaced with rectangles as you run through.

Pidgin prints these messages:  (example where it crashed)
aer97@amos:~$ pidgin
WARNING: gnome-keyring:: no socket to connect to

(Pidgin:19158): Pango-CRITICAL **: pango_font_description_set_size: assertion
`size >= 0' failed

(Pidgin:19158): Pango-CRITICAL **: pango_font_description_set_size: assertion
`size >= 0' failed

(Pidgin:19158): Pango-CRITICAL **: pango_font_description_set_size: assertion
`size >= 0' failed

(Pidgin:19158): Pango-WARNING **: failed to create cairo scaled font, expect
ugly output. the offending font is 'Bitstream Vera Sans Bold 12.9990234375'

(Pidgin:19158): Pango-WARNING **: font_face status is: no error has occurred

(Pidgin:19158): Pango-WARNING **: scaled_font status is: invalid matrix (not
invertible)

(Pidgin:19158): Pango-WARNING **: shaping failure, expect ugly output. shape-
engine='BasicEngineFc', font='Bitstream Vera Sans Bold 12.9990234375',
text='Favorites'

(Pidgin:19158): Pango-CRITICAL **: pango_font_description_set_size: assertion
`size >= 0' failed

(Pidgin:19158): Pango-CRITICAL **: pango_font_description_set_size: assertion
`size >= 0' failed
The program 'Pidgin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 9670 error_code 11 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aer97@amos:~$
(example where it replaced text for rectangles):
aer97@amos:~$ pidgin
WARNING: gnome-keyring:: no socket to connect to

(Pidgin:19166): Pango-CRITICAL **: pango_font_description_set_size: assertion
`size >= 0' failed

(Pidgin:19166): Pango-CRITICAL **: pango_font_description_set_size: assertion
`size >= 0' failed

(Pidgin:19166): Pango-CRITICAL **: pango_font_description_set_size: assertion
`size >= 0' failed

(Pidgin:19166): Pango-WARNING **: failed to create cairo scaled font, expect
ugly output. the offending font is 'Bitstream Vera Sans Bold 12.9990234375'

(Pidgin:19166): Pango-WARNING **: font_face status is: no error has occurred

(Pidgin:19166): Pango-WARNING **: scaled_font status is: invalid matrix (not
invertible)

(Pidgin:19166): Pango-WARNING **: shaping failure, expect ugly output. shape-
engine='BasicEngineFc', font='Bitstream Vera Sans Bold 12.9990234375',
text='Favorites'

(Pidgin:19166): Pango-CRITICAL **: pango_font_description_set_size: assertion
`size >= 0' failed

(Pidgin:19166): Pango-WARNING **: shaping failure, expect ugly output. shape-
engine='BasicEngineFc', font='Bitstream Vera Sans 12.9990234375', text=' '
aer97@amos:~$

I did try building cairo from source, but it behaved exactly the same.

I do build pidgin from source, rather than use the package, so possibly this
should be filed against the dev package.  However, it didn't appear after I
rebuilt pidgin against the new cairo, but before.  I have tried rebuilding
pidgin but with exactly the same result.

Gimp, which also uses libcairo2, has no obvious problems.  Abiword also uses
cairo, and it doesn't crash but is rather slow.

The packaged version of pidgin does not have the same problem.  Both package
and source of pidgin are 2.10.1.



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable'), (50, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.1 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libcairo2 depends on:
ii  libc6           2.13-24
ii  libfontconfig1  2.8.0-3
ii  libfreetype6    2.4.8-1
ii  libpixman-1-0   0.24.2-1
ii  libpng12-0      1.2.46-4
ii  libx11-6        2:1.4.4-4
ii  libxcb-render0  1.7-4
ii  libxcb-shm0     1.7-4
ii  libxcb1         1.7-4
ii  libxrender1     1:0.9.6-2
ii  zlib1g          1:1.2.3.4.dfsg-3

libcairo2 recommends no packages.

libcairo2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Sat, 04 Feb 2012 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Rule <a.rule@freeuk.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Sat, 04 Feb 2012 21:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 658252@bugs.debian.org (full text, mbox):

From: Andrew Rule <a.rule@freeuk.com>
To: 658252@bugs.debian.org
Subject: Re: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Sat, 04 Feb 2012 21:25:20 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

More information on this issue:

The issue became apparent after upgrading a number of packages with
libcairo2, including build-essential from 11.4 to 11.5.

I just tried downgrading build-essential back to 11.4, and rebuilt
pidgin from source, and the problem has vanished; apart from one error
message which used to have text about an error and a close button in a
dialogue box, but now just the dialogue box appears with nothing visible
in it at all, but it goes away when the invisible button is clicked.
The rest of the program appears to be working fine now though.

So perhaps this issue is really with build-essential??

Possibly unrelated, during the same upgrade bibletime stopped working,
and now the package bibletime binary segfaults when run, but I built it
from source (using build-essential 11.5) and that version runs fine.

So perhaps libcairo2 is not to blame, perhaps it is to do with
build-essential?  But then why did my previously built version of pidgin
misbehave after the upgrade when it worked fine before?  And why has
bibletime stopped working?

Thanks for your time!

Andrew Rule
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk8toj8ACgkQAXpg5UuOD0UP1gCgi+2RqHTZpe2dfwVOYp4BWeVd
ka4AoKLulfPm9LYYXg0h8/5tV8y+uDqA
=GTav
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Sun, 05 Feb 2012 07:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Rule <a.rule@freeuk.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Sun, 05 Feb 2012 07:54:05 GMT) Full text and rfc822 format available.

Message #15 received at 658252@bugs.debian.org (full text, mbox):

From: Andrew Rule <a.rule@freeuk.com>
To: 658252@bugs.debian.org
Subject: Re: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Sun, 05 Feb 2012 07:53:32 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

OK, I spoke too soon, my newly built pidgin's text is becoming
rectangles again after a reboot.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk8uNXsACgkQAXpg5UuOD0VK0gCg+zsd1uq89UhR7fKwpHN/EsLb
9oQAoJar/Ei3RAG77aPFJA/2HbS98ruq
=mB0G
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Sun, 05 Feb 2012 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Rule <a.rule@freeuk.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Sun, 05 Feb 2012 22:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 658252@bugs.debian.org (full text, mbox):

From: Andrew Rule <a.rule@freeuk.com>
To: 658252@bugs.debian.org
Subject: Re: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Sun, 05 Feb 2012 22:48:13 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Now I've updated more packages and restarted (without changing pidgin or
building it again) and it is fully working, drawing all the text
properly even in the error dialogue that didn't work last time.  Perhaps
it was a dependency problem?  It does seem to work now.  Please ask if
you want any more details.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk8vBy0ACgkQAXpg5UuOD0UvGwCg2unz6ONYdcvOFgYCVNyfATEJ
sFEAn3Lb3WmNN+UxGaLrW0jGsh93IzHt
=cMRs
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Mon, 06 Feb 2012 22:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Rule <a.rule@freeuk.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Mon, 06 Feb 2012 22:48:12 GMT) Full text and rfc822 format available.

Message #25 received at 658252@bugs.debian.org (full text, mbox):

From: Andrew Rule <a.rule@freeuk.com>
To: 658252@bugs.debian.org
Subject: Re: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Mon, 06 Feb 2012 22:49:33 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

Sorry, this keeps changing.  The rectangles are back, so I suppose this
is still a live issue.  I haven't tried re-compiling pidgin yet since my
latest round of updates.  Any advice would be useful.  At the moment
some of the text is replaced with rectangles but not all of it, so the
program is usable, ish.

Andrew
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk8wWPwACgkQAXpg5UuOD0Ws0gCgvppHLEzK+O5Ul3jZA7iLMqzU
Jx8AmQGjkzYf9SLv2iQwMNv6WYIVemqL
=xWPF
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Tue, 07 Feb 2012 12:33:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Rule <a.rule@freeuk.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Tue, 07 Feb 2012 12:33:29 GMT) Full text and rfc822 format available.

Message #30 received at 658252@bugs.debian.org (full text, mbox):

From: Andrew Rule <a.rule@freeuk.com>
To: 658252@bugs.debian.org
Subject: Re: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Tue, 07 Feb 2012 12:34:40 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Today I have been able to test this a little more.

I have tried building pidgin using the source from debian (apt-get
source pidgin) and the resulting build has exactly the same problem.

I have tried running pidgin as another user, under gnome instead of kde,
but it behaves in a similar manner, in fact it tends to crash if the
error dialogue I mentioned before appears and I click on the invisible
"Close" button it crashes, though it works, with text issues, until I
close said dialogue, or until I quit the program.

I have tried running pidgin as root and logging in to my MSN account
(which brings up the error dialogue) and found that even as root I still
get problems with text appearing as rectangles.

libfontconfig1 is now 2.8.0-3.1
libxcb-render0 is now 1.8-1
libxcb-shm0 is now 1.8-1
libxcb1 is now 1.8-1

I don't know if this is related, but my bibletime package is also not
working properly, it segfaults on startup for me, and for another user
it runs but sees no sword modules.  I did build it from source, and that
version works OK for me, picking up my sword modules from ~/.sword, but
doesn't see the system sword modules AFAIK.  That's bibletime 2.8.1-2.
I wonder if it has problems with duplicate modules - modules both on the
system and installed as my user...
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk8xGmAACgkQAXpg5UuOD0UbhACdG4z0XpkuIYsIcbqDJBh3hmoH
LqoAoL6M9HMQCcMFD7u1nyX+bc/8Jx34
=3dla
-----END PGP SIGNATURE-----




Merged 658252 667040 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 03 Apr 2012 17:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Wed, 04 Apr 2012 09:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Török Edwin <edwin+ml-ocaml@etorok.net>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Wed, 04 Apr 2012 09:06:09 GMT) Full text and rfc822 format available.

Message #37 received at 658252@bugs.debian.org (full text, mbox):

From: Török Edwin <edwin+ml-ocaml@etorok.net>
To: 658252@bugs.debian.org
Subject: [libcairo2] firefox/pidgin very bad text rendering
Date: Wed, 04 Apr 2012 11:55:35 +0300
[Message part 1 (text/plain, inline)]
Package: libcairo2
Version: 1.12.0-2

--- Please enter the report below this line. ---

Since upgrading to latest cairo in unstable firefox is nearly unusable.
Very often when you scroll a page you get totally garbled up text rendering, see attached screenshot.
I've also attached a 'cairo-trace firefox' if it helps.

It happens with pidgin too, though less often.

If I switch to a different application window then the text rendering fixes itself though.
Downgrading to libcairo2 from testing also seems to fix the issue.

Reproducing the bug:
1. Open osnews.com in firefox (or even in firefox -safe-mode --sync)
2. open a new empty tab
3. switch back and forth between the tabs
4. scroll the tab with the webpage up/down lots of times
5. after about a minute I could always reproduce the garbled up text.
Its as if the text was rendered in italic and overlapped over the original, but sometimes
I don't even see letters anymore, its just a black stripe.

My OpenGL driver:

OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD RV730
OpenGL version string: 2.1 Mesa 7.11.2
OpenGL shading language version string: 1.20

--- System information. ---
Architecture: amd64
Kernel:       Linux 3.4.0-rc1+

Debian Release: wheezy/sid
  500 unstable        iota.nren.ro
  500 unstable        ftp.lug.ro
  500 testing         iota.nren.ro

--- Package information. ---
Depends                (Version) | Installed
================================-+-==============
libc6                  (>= 2.11) | 2.13-27
libfontconfig1        (>= 2.8.0) | 2.8.0-3.1
libfreetype6          (>= 2.3.5) | 2.4.9-1
libpixman-1-0        (>= 0.21.6) | 0.24.4-1
libpng12-0         (>= 1.2.13-4) | 1.2.47-2
libx11-6                         | 2:1.4.4-4
libxcb-render0                   | 1.8.1-1
libxcb-shm0                      | 1.8.1-1
libxcb1                 (>= 1.6) | 1.8.1-1
libxrender1                      | 1:0.9.6-2
zlib1g              (>= 1:1.1.4) | 1:1.2.6.dfsg-2


Package's Recommends field is empty.

Package's Suggests field is empty.



[badrender.png (image/png, attachment)]
[firefox-bin.3830.trace.xz (application/x-xz, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Thu, 05 Apr 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacek Politowski <jp@jp.pl.eu.org>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Thu, 05 Apr 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #42 received at 658252@bugs.debian.org (full text, mbox):

From: Jacek Politowski <jp@jp.pl.eu.org>
To: Debian Bug Tracking System <658252@bugs.debian.org>
Subject: Re: libcairo2: Text quickly becomes rectangles
Date: Thu, 05 Apr 2012 18:25:01 +0200
Package: libcairo2
Followup-For: Bug #658252

I also can confirm that problem occurs in libcairo2 1.12.0-2, but after
downgrading libcairo2 and libcairo-gobject2 to 1.10.2-7 (I haven't tried
downgrading only libcairo2) problem disappears.

Also disabling graphics acceleration in X.org helps:
Option "NoAccel" "true"
(gnome of course starts in fallback mode then)


My graphics adapter is a PCI-E Radeon HD 4850

Currently I use up-to-date Sid installation, with only libcairo2 and
libcairo-gobject2 downgraded to 1.10.2-7. Everything works fine.

Radeon driver: xserver-xorg-video-radeon 1:6.14.4-1
But I've tried also 6.14.0, 6.14.3 (debian packages) and  6.14.1, 6.14.2 (own
compilations)

A bit from glxinfo:
OpenGL renderer string: Gallium 0.4 on AMD RV770
OpenGL version string: 2.1 Mesa 7.11.2
OpenGL shading language version string: 1.20


I've tried too:
* linux kernels 3.0 and 3.1
* libdrm2, libdrm-radeon1: versions 2.4.30-1, 2.4.32-1
which has no effect on reported artifacts.

Screenshot of the artifacts, if useful, available here:
http://postimage.org/image/6ev7n30zh/
(for at least few weeks)


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libcairo2 depends on:
ii  libc6              2.13-27
ii  libfontconfig1     2.8.0-3.1
ii  libfreetype6       2.4.9-1
ii  libpixman-1-0      0.24.4-1
ii  libpng12-0         1.2.47-2
ii  libx11-6           2:1.4.4-4
ii  libxcb-render0     1.8.1-1
ii  libxcb-shm0        1.8.1-1
ii  libxcb1            1.8.1-1
ii  libxrender1        1:0.9.6-2
ii  multiarch-support  2.13-27
ii  zlib1g             1:1.2.6.dfsg-2

libcairo2 recommends no packages.

libcairo2 suggests no packages.

-- debconf-show failed

-- debsums errors found:
debsums: package libcairo2 is not installed
(JP: I don't know why debsums says so, because libcairo2 is installed,
even reinstalled via aptitude, to check this error reported by debsums)




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Sun, 08 Apr 2012 17:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lawrence <lawrencc@debian.org>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Sun, 08 Apr 2012 17:06:06 GMT) Full text and rfc822 format available.

Message #47 received at 658252@bugs.debian.org (full text, mbox):

From: Chris Lawrence <lawrencc@debian.org>
To: Debian Bug Tracking System <658252@bugs.debian.org>
Subject: Re: libcairo2: Text quickly becomes rectangles
Date: Sun, 08 Apr 2012 13:04:57 -0400
Package: libcairo2:amd64
Followup-For: Bug #658252

FYI, this appears to be an upstream bug (or bugs):
"Current git: Xorg display corruption with radeon driver (bisected)"

... which appears to actually be a bug in somewhere in X:
"Graphics corruption and performance problems using recent Cairo"

https://bugs.freedesktop.org/show_bug.cgi?id=43764
https://bugs.freedesktop.org/show_bug.cgi?id=47266


Chris

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3.1 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libcairo2:amd64 depends on:
ii  libc6              2.13-27
ii  libfontconfig1     2.8.0-3.1
ii  libfreetype6       2.4.9-1
ii  libpixman-1-0      0.24.4-1
ii  libpng12-0         1.2.47-2
ii  libx11-6           2:1.4.4-4
ii  libxcb-render0     1.8.1-1
ii  libxcb-shm0        1.8.1-1
ii  libxcb1            1.8.1-1
ii  libxrender1        1:0.9.6-2
ii  multiarch-support  2.13-27
ii  zlib1g             1:1.2.6.dfsg-2

libcairo2:amd64 recommends no packages.

libcairo2:amd64 suggests no packages.

-- no debconf information




Added blocking bug(s) of 658252: 666695, 667520, 666564, 666565, 667048, 667445, 666538, 667073, 667809, 666998, 666922, and 666468 Request was from Chris Lawrence <lawrencc@debian.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 17:09:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658252: 668172 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 14:27:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658252: 668190 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 15:39:57 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658252: 668182 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 22:12:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658252: 668343 Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 11 Apr 2012 08:06:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658252: 668993 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 16 Apr 2012 11:00:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Tue, 17 Apr 2012 11:18:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Török Edwin <edwin+ml-debian@etorok.net>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Tue, 17 Apr 2012 11:18:30 GMT) Full text and rfc822 format available.

Message #64 received at 658252@bugs.debian.org (full text, mbox):

From: Török Edwin <edwin+ml-debian@etorok.net>
To: 658252@bugs.debian.org
Subject: Re: Bug#658252: Info received ([libcairo2] firefox/pidgin very bad text rendering)
Date: Tue, 17 Apr 2012 14:17:37 +0300
Seems to be fixed by xserver-xorg-video-radeon 6.14.4-2 which contains the fixes from https://bugs.freedesktop.org/show_bug.cgi?id=47266

Would probably be a good idea to add a requirement to libcairo 1.12.0-2:
Breaks: xserver-xorg-video-radeon (< 6.14.4-2), xserver-xorg-video-ati (< 6.14.4-2)

Best regards,
--Edwin




Added blocking bug(s) of 658252: 669629 Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 18:54:39 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658252: 672260 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 09 May 2012 19:15:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Fri, 11 May 2012 08:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Fri, 11 May 2012 08:57:10 GMT) Full text and rfc822 format available.

Message #73 received at 658252@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Török Edwin <edwin+ml-debian@etorok.net>, 658252@bugs.debian.org
Subject: Re: Bug#658252: Info received ([libcairo2] firefox/pidgin very bad text rendering)
Date: Fri, 11 May 2012 10:53:18 +0200
On 2012-04-17 14:17:37 +0300, Török Edwin wrote:
> Seems to be fixed by xserver-xorg-video-radeon 6.14.4-2 which
> contains the fixes from
> https://bugs.freedesktop.org/show_bug.cgi?id=47266

Not everyone has a radeon card, so that the bug is definitely not
fixed (and for radeon, this is just a workaround, not a real fix).
Users with a NVIDIA card and the nouveau driver (which uses EXA)
are still affected by this bug:

  https://bugs.freedesktop.org/show_bug.cgi?id=47266#c146

(I've not checked, as I'm still using libcairo2 1.10).

IMHO, with this grave bug, cairo should have never migrated to
testing:

  http://packages.qa.debian.org/c/cairo/news/20120509T163913Z.html

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Disconnected #667040 from all other report(s). Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 24 May 2012 17:12:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions cairo/1.12.0-2. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 24 May 2012 17:12:09 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 658252: 666565, 666564, 667445, 666538, 668993, 667809, 666998, 666922, 668343, 666468, 666695, 667520, 668190, 667048, 667073, 672260, 669629, 668172, and 668182 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 24 May 2012 17:12:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Mon, 18 Jun 2012 09:18:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Palard <julien@eeple.fr>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Mon, 18 Jun 2012 09:18:24 GMT) Full text and rfc822 format available.

Message #84 received at 658252@bugs.debian.org (full text, mbox):

From: Julien Palard <julien@eeple.fr>
To: 658252@bugs.debian.org
Subject: Re: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Mon, 18 Jun 2012 10:40:53 +0200
Problem reproduced here with
 * libcairo 1.12.2.1
 * Nouveau driver
 * Linux 3.2.0-2-amd64

Temporarily fixed using Option "NoAccel" "true".

-- 
Julien Palard - <julien@eeple.fr>




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Thu, 05 Jul 2012 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matthew J. Steven" <matthew@geniusweb.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Thu, 05 Jul 2012 16:27:02 GMT) Full text and rfc822 format available.

Message #89 received at 658252@bugs.debian.org (full text, mbox):

From: "Matthew J. Steven" <matthew@geniusweb.com>
To: 658252@bugs.debian.org
Subject: Re: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Thu, 05 Jul 2012 09:13:32 -0700
I'd also like to add that I have an Nvidia card which has the same 
problem. I used the advice on the following post to downgrade to 1.10 
and there is no more screen corruption, smudging or blurring.

http://forums.debian.net/viewtopic.php?f=7&t=79467






Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Wed, 12 Sep 2012 05:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Goebel <alex.goebel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Wed, 12 Sep 2012 05:03:03 GMT) Full text and rfc822 format available.

Message #94 received at 658252@bugs.debian.org (full text, mbox):

From: Alex Goebel <alex.goebel@gmail.com>
To: 658252@bugs.debian.org
Cc: julien@eeple.fr, matthew@geniusweb.com
Subject: Re: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Tue, 11 Sep 2012 21:58:58 -0700
Is this still an issue with radeon?
For my nvidia system it disappeared several weeks ago with a nouveau update.

It's tagged RC, so we should be sure it's still a "grave" bug?!



Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Wed, 12 Sep 2012 09:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Palard <julien@meltynetwork.fr>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Wed, 12 Sep 2012 09:39:05 GMT) Full text and rfc822 format available.

Message #99 received at 658252@bugs.debian.org (full text, mbox):

From: Julien Palard <julien@meltynetwork.fr>
To: Alex Goebel <alex.goebel@gmail.com>
Cc: 658252@bugs.debian.org, matthew@geniusweb.com
Subject: Re: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Wed, 12 Sep 2012 11:35:01 +0200
On Wed, Sep 12, 2012 at 6:58 AM, Alex Goebel <alex.goebel@gmail.com> wrote:
> Is this still an issue with radeon?
> For my nvidia system it disappeared several weeks ago with a nouveau update.

Seems fixed for us here too !

-- 
Julien Palard - <julien@eeple.fr>
CTO - meltyNetwork
Mobile : +33 (0)6 21 19 49 10
Office : +33 (0)1 83 62 00 88
http://www.meltynetwork.fr



Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#658252; Package libcairo2. (Thu, 20 Sep 2012 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrice Pillot <patrice.pillot@teletopie.net>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Thu, 20 Sep 2012 08:45:03 GMT) Full text and rfc822 format available.

Message #104 received at 658252@bugs.debian.org (full text, mbox):

From: Patrice Pillot <patrice.pillot@teletopie.net>
To: 658252@bugs.debian.org
Subject: Bug#658252: libcairo2: Text quickly becomes rectangles
Date: Thu, 20 Sep 2012 10:00:13 +0200
Seems fixed here too. I'm running testing on a Quadro NVS 135M. I unhold 
libcairo2:i386 1.10.2-7 -> 1.12.2-2 last week and I did not experienced the 
reported problem since then.

pp



Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sat, 29 Sep 2012 20:18:04 GMT) Full text and rfc822 format available.

Notification sent to a.rule@freeuk.com:
Bug acknowledged by developer. (Sat, 29 Sep 2012 20:18:04 GMT) Full text and rfc822 format available.

Message #109 received at 658252-close@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 658252-close@bugs.debian.org
Subject: re: libcairo2: Text quickly becomes rectangles
Date: Sat, 29 Sep 2012 16:14:30 -0400
version: 1.12.2-1

Fixed in upstream point release.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Oct 2012 07:30:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:51:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.